<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>com.winsun.gdtel.gztel</groupId>
    <artifactId>school-center</artifactId>
    <version>0.0.2</version>
    <modules>
        <module>service-manager</module>
        <module>core-service</module>
        <module>gateway</module>
        <module>eureka</module>
        <module>task</module>
        <module>common</module>
        <module>new-user</module>
        <module>old-user</module>
        <module>apply-net</module>
        <module>renewal-user</module>
    </modules>
    <packaging>pom</packaging>
    <description>外呼集约系统聚合</description>

    <parent>
        <groupId>com.winsun.framework</groupId>
        <artifactId>winsun-parent</artifactId>
        <version>0.1.52</version>
    </parent>

    <properties>
        <service.version>0.0.2</service.version>
        <commons-net.version>3.3</commons-net.version>
        <p6spy.version>3.8.0</p6spy.version>
        <dynamic-datasource.version>2.5.6</dynamic-datasource.version>
    </properties>

    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>com.winsun.framework</groupId>
                <artifactId>winsun-core-common</artifactId>
                <version>${winsun-framework.version}</version>
            </dependency>

            <dependency>
                <groupId>com.winsun.framework</groupId>
                <artifactId>winsun-core-service</artifactId>
                <version>${winsun-framework.version}</version>
            </dependency>

            <dependency>
                <groupId>com.winsun.framework</groupId>
                <artifactId>winsun-core-task</artifactId>
                <version>${winsun-framework.version}</version>
            </dependency>

            <dependency>
                <groupId>com.winsun.framework</groupId>
                <artifactId>winsun-core-api</artifactId>
                <version>${winsun-framework.version}</version>
            </dependency>

            <dependency>
                <groupId>com.winsun.framework</groupId>
                <artifactId>winsun-eureka</artifactId>
                <version>${winsun-framework.version}</version>
            </dependency>

            <dependency>
                <artifactId>p6spy</artifactId>
                <groupId>p6spy</groupId>
                <version>${p6spy.version}</version>
            </dependency>

            <dependency>
                <groupId>com.baomidou</groupId>
                <artifactId>dynamic-datasource-spring-boot-starter</artifactId>
                <version>${dynamic-datasource.version}</version>
            </dependency>

            <dependency>
                <artifactId>druid-spring-boot-starter</artifactId>
                <groupId>com.alibaba</groupId>
                <version>${druid.version}</version>
            </dependency>
        </dependencies>
    </dependencyManagement>

    <distributionManagement>
        <repository>
            <id>releases</id>
            <url>http://172.18.101.172:8081/nexus/content/repositories/releases</url>
        </repository>
        <snapshotRepository>
            <id>snapshots</id>
            <url>http://172.18.101.172:8081/nexus/content/repositories/snapshots</url>
        </snapshotRepository>
    </distributionManagement>

    <repositories>
        <repository>
            <id>nexus</id>
            <url>http://172.18.101.172:8081/nexus/content/groups/public/</url>
            <snapshots>
                <enabled>true</enabled>
            </snapshots>
        </repository>
    </repositories>
</project>